/*
Theme Name: Blogsy News
Template: blogsy
Author: Peregrine Themes
Author URI: https://peregrine-themes.com/
Description: Blogsy News is a modern, high-performance WordPress theme designed for bloggers, news publishers, and content creators who demand style and flexibility. Effortlessly shape your site with built-in support for the powerful Gutenberg block editor, ready-made block patterns, and seamless Elementor integration. Choose from multiple header styles, flexible layouts (left, right, or no sidebar), and eye-catching grid or masonry blog designs to make your content shine. Enjoy dark mode, unique sidebar widget patterns, and an array of customization options to create a site that matches your vision. Fully compatible with WooCommerce for building online stores and lighting-fast for the best user experience. With Blogsy news, launching a beautiful, professional website has never been easier, import demo content in just one click and start publishing today. Live preview: https://peregrine-themes.com/blogsy/#demos
Version: 1.0.0
Requires at least: 6.6
Tested up to: 6.9
Requires PHP: 7.4
License: GNU General Public License v2+
License URI: http://www.gnu.org/licenses/gpl-2.0.html
Text Domain: blogsy-news
Tags: one-column, two-columns, right-sidebar, left-sidebar, grid-layout, footer-widgets, blog, news, e-commerce, custom-menu, custom-logo, post-formats, sticky-post, editor-style, threaded-comments, translation-ready, custom-colors, featured-images, full-width-template, rtl-language-support, theme-options, wide-blocks, block-styles, block-patterns

All files, unless otherwise stated, are released under the GNU General Public
License version 2.0 (http://www.gnu.org/licenses/gpl-2.0.html)

Do not add your CSS to this file, use a child theme instead: https://codex.wordpress.org/Child_Themes
The main CSS file is loaded from "assets/css folder".
*/

.pt-shape--sharp {
	--pt-soft-radius: 0;
}

.pt-shape--sharp .blogsy-pyml .swiper-pagination-fraction,
.pt-shape--sharp .pt-hero-slider .carousel-nav-prev,
.pt-shape--sharp .pt-hero-slider .carousel-nav-next,
.pt-shape--sharp .blogsy-pyml .carousel-nav-prev,
.pt-shape--sharp .blogsy-pyml .carousel-nav-next {
	border-radius: 0;
}

.pt-shape--sharp .blogsy-news-ticker-btn {
	border-radius: 50px;
}


/* Post Elastic
-------------------------------------------------------------- */

.blogsy-post-elastic-widget {
	width: 100%;
}

.blogsy-post-elastic-widget .post-wrapper {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    width: 100%;
    border-color: var(--term-color, var(--pt-accent-color));
    transition: 0.3s;
}

.blogsy-post-elastic-widget .post-inner {
    position: relative;
    display: flex;
    align-items: center;
    gap: 25px;
    width: 100%;
}

.blogsy-post-elastic-widget .post-wrapper.mini-layout .post-inner {
    gap: 16px;
}

.blogsy-post-elastic-widget .post-wrapper .image-outer-wrapper {
    position: relative;
    flex-shrink: 0;
    width: 250px;
}

.blogsy-post-elastic-widget .post-wrapper.mini-layout .image-outer-wrapper {
    width: 95px;
}

.blogsy-post-elastic-widget .post-wrapper .image-wrapper {
    border-radius: var(--pt-soft-radius);
    display: flex;
    position: relative;
    overflow: hidden;
	transform: translate(0, 0);
	will-change: transform;
    transition: 0.8s;
    width: 100%;
    height: 100%;
}

.blogsy-post-elastic-widget .post-wrapper .image-wrapper::before {
    content: '';
    display: block;
    position: absolute;
    width: 100%;
    height: 100%;
    bottom: 0;
    left: 0;
    z-index: 2;
    border-radius: inherit;
    background: transparent;
    transition: 0.8s;
}

.blogsy-post-elastic-widget .post-wrapper .image-wrapper img {
    width: 100%;
    height: 100%;
    border-radius: inherit;
    object-fit: cover;
    transition: 0.8s;
}

.blogsy-post-elastic-widget .image-wrapper:hover > img {
    transform: scale(1.15);
}

.blogsy-post-elastic-widget .image-wrapper.has-animation > img {
    transform-origin: right;
}

.blogsy-post-elastic-widget .image-wrapper.has-animation:hover > img {
    filter: blur(8px);
    opacity: 0;
    transform: scaleX(1.5);
}

.blogsy-post-elastic-widget .post-wrapper .image-animation {
    position: absolute;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    border-radius: inherit;
}

.blogsy-post-elastic-widget .image-animation img {
    transform-origin: left;
    filter: blur(8px);
    opacity: 0;
    transform: scaleX(1.5);
}

.blogsy-post-elastic-widget .image-wrapper:hover .image-animation > img {
    filter: blur(0);
    opacity: 1;
    transform: scaleX(1);
}

.blogsy-post-elastic-widget .post-wrapper .image-wrapper a {
    border-radius: inherit;
	z-index: 10;
}

.blogsy-post-elastic-widget .post-wrapper .content-wrapper {
    width: 100%;
    position: relative;
    z-index: 10;
    align-self: center;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.blogsy-post-elastic-widget  {
    counter-reset: post-num;
}

.blogsy-post-elastic-widget .post-counter-wrap {
    z-index: 20;
}

.blogsy-post-elastic-widget .post-wrapper.mini-layout .footer-wrap {
    border-top: none;
    padding-top: 0;
    margin-top: 5px;
    display: flex;
    gap: 10px;
    flex-wrap: wrap;
}

.blogsy-post-elastic-widget .post-wrapper > .footer-wrap {
    margin-top: 30px;
}


/*****************************************/
/* Header layout 4
/*****************************************/

.pt-header-layout-4 .pt-header-inner {
	padding: 0;
	background-color: transparent;
	box-shadow: none;
}

.pt-header-layout-4 .pt-logo-container .pt-header-container,
.pt-header-layout-4 .pt-nav-container .pt-header-container {
    position: relative;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
}

.pt-header-layout-4 .pt-logo-container .pt-header-element {
    -webkit-box-flex: 0;
    -ms-flex: 0 0 33.33%;
    flex: 0 0 33.33%;
}

.pt-header-layout-4 .pt-logo-container .pt-logo {
    -webkit-box-ordinal-group: 3;
    -ms-flex-order: 2;
    order: 2;
    margin: 0 auto;
    padding: 0;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-box-flex: 1;
    -ms-flex-positive: 1;
    flex-grow: 1;
}

.pt-header-layout-4 .pt-logo-container .pt-logo>.logo-inner {
	display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
}

.pt-header-layout-4 .pt-logo-container .blogsy-widget-location-left {
    -webkit-box-ordinal-group: 2;
    -ms-flex-order: 1;
    order: 1;
    margin-left: 0;
    margin-right: auto;
    -webkit-box-pack: start;
    -ms-flex-pack: start;
    justify-content: start;
}

.pt-header-layout-4 .pt-logo-container .blogsy-widget-location-left .pt-header-widget:first-child {
    padding-left: 0;
    margin-left: 0;
}

.pt-header-layout-4 .pt-logo-container .blogsy-widget-location-right .pt-header-widget:last-of-type,
.pt-header-layout-4 .pt-logo-container .blogsy-widget-location-left .pt-header-widget:last-of-type {
    padding-right: 0;
}

.pt-header-layout-4 .pt-logo-container .blogsy-widget-location-right .pt-header-widget:last-of-type:after,
.pt-header-layout-4 .pt-logo-container .blogsy-widget-location-left .pt-header-widget:last-of-type:after {
    display: none;
}

.pt-header-layout-4 .pt-logo-container .blogsy-widget-location-right {
    -webkit-box-ordinal-group: 4;
    -ms-flex-order: 3;
    order: 3;
    margin-right: 0;
    margin-left: auto;
    -webkit-box-pack: end;
    -ms-flex-pack: end;
    justify-content: flex-end;
}

.pt-header-layout-4 .blogsy-widget-wrapper {
    padding-top: 1rem;
    padding-bottom: 1rem;
}

.pt-header-layout-4 .pt-mobile-nav {
    padding-top: 1.6rem;
    padding-bottom: 1.6rem;
}

.pt-header-layout-4 .pt-nav-container {
    position: relative;
    margin-bottom: -.1rem;
}

.pt-header-layout-4 .pt-header .pt-header-inner .pt-logo-container .pt-header-container,
.pt-header-layout-4 .pt-header .pt-header-inner .pt-nav-container .pt-header-container {
    border-width: 0;
}

.pt-header-layout-4 .pt-nav-container .pt-header-element {
    -webkit-box-flex: 0;
    -ms-flex: 0 0 20%;
    flex: 0 0 20%;
}

.pt-header-layout-4 .pt-nav-container .blogsy-header-nav-wrapper {
    -webkit-box-ordinal-group: 3;
    -ms-flex-order: 2;
    order: 2;
    margin: 0 auto;
    padding: 0;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    -webkit-box-flex: 1;
    -ms-flex-positive: 1;
    flex-grow: 1;
}

.pt-header-layout-4 .pt-nav-container .blogsy-header-nav-wrapper>ul {
    min-height: 6rem;
}

.pt-header-layout-4 .pt-nav-container .blogsy-header-nav-wrapper>ul>li:not(:first-child) {
    margin-left: 1.6rem;
}

.pt-header-layout-4 .pt-nav-container .blogsy-header-nav-wrapper>ul>li>a {
	height: 100%;
    padding-top: 1.4rem;
    padding-bottom: 1.4rem;
}

.pt-header-layout-4 .pt-nav-container .blogsy-widget-location-left {
    -webkit-box-ordinal-group: 2;
    -ms-flex-order: 1;
    order: 1;
    margin-left: 0;
    margin-right: auto;
    -webkit-box-pack: start;
    -ms-flex-pack: start;
    justify-content: start;
}

.pt-header-layout-4 .pt-nav-container .blogsy-widget-location-left .pt-header-widget:first-child {
    padding-left: 0;
    margin-left: 0;
}

.pt-header-layout-4 .pt-nav-container .blogsy-widget-location-right .pt-header-widget:last-of-type,
.pt-header-layout-4 .pt-nav-container .blogsy-widget-location-left .pt-header-widget:last-of-type {
    padding-right: 0;
}

.pt-header-layout-4 .pt-nav-container .blogsy-widget-location-right .pt-header-widget:last-of-type:after,
.pt-header-layout-4 .pt-nav-container .blogsy-widget-location-left .pt-header-widget:last-of-type:after {
    display: none;
}

.pt-header-layout-4 .pt-nav-container .blogsy-widget-location-right {
    -webkit-box-ordinal-group: 4;
    -ms-flex-order: 3;
    order: 3;
    margin-right: 0;
    margin-left: auto;
    -webkit-box-pack: end;
    -ms-flex-pack: end;
    justify-content: flex-end;
}

@media screen and (max-width: 1024px) {
	.pt-header-layout-4 .pt-logo-container .pt-header-container {
		flex-wrap: wrap;
	}

	.pt-header-layout-4 .pt-logo-container .pt-logo>.logo-inner {
		align-items: start;
	}

	.pt-header-layout-4 .pt-logo-container .pt-header-element {
		flex-basis: auto;
	}

	.pt-header-layout-4 .pt-logo-container .pt-logo {
		order: 0;
		justify-content: start;
		align-items: start;
		flex-basis: auto;
		margin-left: 0;
	}

	.pt-header-layout-4 .pt-logo-container .pt-mobile-nav {
		order: 5;
	}

	.pt-header-layout-4 .pt-logo-container .blogsy-widget-location-right {
		-js-display: flex;
		display: -webkit-box;
		display: -ms-flexbox;
		display: flex;
	}

	.pt-header-layout-4 .pt-nav-container {
		display: none;
	}
}


/* Ticker (Layout 2) */

.blogsy-ticker.layout-2 {
    border-bottom: none;
    padding-top: 18px;
    padding-bottom: 0;
}

.blogsy-ticker.layout-2 .blogsy-news-ticker-wrapper .blogsy-news-ticker-title-wrapper {
	background-color: transparent;
    color: var(--pt-accent-color);
    font-weight: 600;
    gap: 4px;
    padding: 0;
    outline: none;
}

html[scheme=dark] .blogsy-ticker.layout-2 .blogsy-news-ticker-wrapper .blogsy-news-ticker-title-wrapper {
	background-color: transparent;
}

.blogsy-ticker.layout-2 .blogsy-news-ticker-wrapper .blogsy-news-ticker-title-wrapper .blogsy-news-ticker-title-icon-wrapper {
    color: var(--pt-accent-color);
}

.blogsy-ticker.layout-2 .blogsy-news-ticker-wrapper .blogsy-news-ticker-title-wrapper .blogsy-news-ticker-title-text {
    text-transform: uppercase;
}

.blogsy-ticker.layout-2 .blogsy-news-ticker-btn {
	padding: 3px 14px 3px 14px;
	height: 3rem;
}

.pt-header-layout-4 #site-header+#site-sticky-header+#blogsy-ticker+#blogsy-hero,
.pt-header-layout-4 #site-header+#blogsy-ticker+#blogsy-hero {
	margin-top: 2rem;
}

.pt-header-layout-4 #blogsy-hero {
	margin-top: 0.4rem;
}

/* Hero two/three */

#blogsy-hero .pt-container.pt-hero-type-two,
#blogsy-hero .pt-container.pt-hero-type-three {
    padding-right: 1.5rem;
    padding-left: 1.5rem;
}

.pt-hero-slider .carousel-nav-prev,
.pt-hero-slider .carousel-nav-next,
.blogsy-pyml .carousel-nav-prev,
.blogsy-pyml .carousel-nav-next {
    border-radius: 0;
    width: 40px;
    height: 40px;
    font-size: 1.6rem;
}

.pt-hero-type-three .pt-hero-slider .post-wrapper,
.pt-hero-type-two .pt-hero-slider .post-wrapper {
	border-radius: 0;
}

.pt-hero-type-three .pt-hero-slider .post-wrapper,
.pt-hero-type-two .pt-hero-slider .post-wrapper {
    height: 560px;
    border-radius: 0px 0px 0px 0px;
}

.pt-hero-type-three .pt-hero-slider .terms-wrapper,
.pt-hero-type-two .pt-hero-slider .terms-wrapper {
    position: relative;
    left: 0;
}

.pt-hero-type-three .pt-hero-slider .post-wrapper .meta-wrapper,
.pt-hero-type-two .pt-hero-slider .post-wrapper .meta-wrapper {
    gap: 1rem;
}

.pt-hero-type-two .pt-hero-slider .carousel-nav-prev {
    left: -52px;
}

.pt-hero-type-two .pt-hero-slider .carousel-nav-next {
    right: 10px;
}

.pt-hero-type-three .pt-hero-slider .carousel-pagination-wrapper.type-bullets .carousel-pagination,
.pt-hero-type-two .pt-hero-slider .carousel-pagination-wrapper.type-bullets .carousel-pagination {
    bottom: 0;
    left: -29px;
}

.pt-hero-type-three .blogsy-post-elastic-widget .blogsy-posts-wrapper.layout-grid,
.pt-hero-type-two .blogsy-post-elastic-widget .blogsy-posts-wrapper.layout-grid {
    grid-template-columns: repeat(1, 1fr);
    column-gap: 20px;
    row-gap: 20px;
}

.pt-hero-type-three .blogsy-post-elastic-widget .post-wrapper,
.pt-hero-type-two .blogsy-post-elastic-widget .post-wrapper {
    padding: 0px 0px 16px 0px;
    border-style: solid;
    border-width: 0px 0px 1px 0px;
    border-color: #7F818540;
}

.pt-hero-type-two .blogsy-post-elastic-widget .post-wrapper .post-inner {
    flex-direction: row-reverse;
}

.pt-hero-type-three .blogsy-post-nexo-widget .post-wrapper,
.pt-hero-type-three .blogsy-post-elastic-widget .post-wrapper .image-wrapper,
.pt-hero-type-two .blogsy-post-nexo-widget .post-wrapper,
.pt-hero-type-two .blogsy-post-elastic-widget .post-wrapper .image-wrapper {
    border-radius: 0;
}

.pt-hero-type-three .blogsy-post-nexo-widget.hero-tabs .blogsy-posts-wrapper.layout-grid,
.pt-hero-type-two .blogsy-post-nexo-widget.hero-editor .blogsy-posts-wrapper.layout-grid {
    grid-template-columns: repeat(2, 1fr);
    column-gap: 20px;
    row-gap: 20px;
}

#blogsy-hero .post-author-wrapper .author-image img {
    width: 22px;
    height: 22px;
}

#blogsy-hero .post-counter-wrap .post-counter {
    background-color: var(--pt-accent-color);
    border-radius: 0;
    width: 25px;
    height: 25px;
    color: #fff;
    font-size: 14px;
	font-weight: 600;
	padding: 5px;
}

#blogsy-hero .blogsy-post-elastic-widget .swiper-vertical {
    height: 496px;
}

#blogsy-hero .pt-hero-type-three .pt-hero-slider .blogsy-position-top-right {
	top: 3.5rem;
    right: 2rem;
}

#blogsy-hero .blogsy-post-elastic-widget .blogsy-position-top-right {
	top: 1.4rem;
}

#blogsy-hero .pt-hero-type-three .pt-hero-slider:has(.blogsy-section-heading) .blogsy-position-top-right,
#blogsy-hero .blogsy-post-elastic-widget:has(.blogsy-section-heading) .blogsy-position-top-right {
    top: -4rem;
	right: 0;
}

#blogsy-hero .pt-hero-type-three .pt-hero-slider .carousel-nav-prev,
#blogsy-hero .pt-hero-type-three .pt-hero-slider .carousel-nav-next,
#blogsy-hero .blogsy-post-elastic-widget .carousel-nav-prev,
#blogsy-hero .blogsy-post-elastic-widget .carousel-nav-next {
    color: var(--pt-body-color);
    background-color: var(--pt-card-bg);
    border-radius: 0;
    width: 2.7rem;
    height: 2.7rem;
    font-size: 1.3rem;
    text-decoration: none;
    border: 1px solid var(--pt-border-color);
    box-shadow: 0px 2px 5px 0px rgba(0, 0, 0, 0.03);
    transition: .25s;
}

#blogsy-hero .pt-hero-type-three .pt-hero-slider:has(.blogsy-section-heading, .hero-tabs-inner) .carousel-nav-prev,
#blogsy-hero .blogsy-post-elastic-widget:has(.blogsy-section-heading, .hero-tabs-inner) .carousel-nav-prev {
    left: -1px;
}

/* Hero Tabs */

.hero-tabs .hero-tabs-inner {
	display: flex;
	justify-content: space-between;
	position: relative;
	margin-bottom: 20px;
	border-bottom: 1px solid rgba(0, 0, 0, 0.2);
}

.hero-tabs .tab-btn {
	position: relative;
	cursor: pointer;
	padding: 0 0 7px;
	outline: none;
	border: none;
	line-height: 1.4;
	background: transparent;
	color: #000;
}

.hero-tabs .tab-btn.active {
	color: var(--pt-accent-color);
}

.hero-tabs .tab-btn.active::after {
    content: "";
    width: 100%;
    height: 3px;
    background-color: var(--pt-accent-color);
    position: absolute;
    bottom: -2px;
    left: 0;
}

.hero-tabs .tab-btn h5 {
    display: flex;
    align-items: center;
    margin-bottom: 0;
    gap: 5px;
}

.hero-tabs .tab-btn h5 .blogsy-svg-icon {
    font-size: 90%;
}

.tab-content {
	display: none;
}

.tab-content.active {
	display: block;
}

.hero-tabs .tab-content.active {
    display: flex;
    flex-direction: column;
    column-gap: 16px;
    row-gap: 16px;
}


/* Style 12 */

.blogsy-divider-heading.divider-style-12 {
    flex-wrap: wrap;
    gap: 0;
	row-gap: 2px;
    align-items: center;
}

.blogsy-divider-heading.divider-style-12 .title {
    width: 100%;
}

.blogsy-divider-heading.divider-style-12 .divider-1 {
    order: 11;
    width: 12px;
    height: 12px;
    border-radius: 50px;
    flex-shrink: 0;
}

.blogsy-divider-heading.divider-style-12 .divider-2 {
    order: 12;
    width: 80px;
    height: 3px !important;
}

.blogsy-divider-heading.divider-style-12 .divider-3 {
    --divider-color-2:  rgba(0, 0, 0, 0.2);
    background: var(--divider-color-2);
    width: auto !important;
    flex-grow: 1;
    height: 1px !important;
}

.blogsy-divider-heading.divider-style-12 .divider-4 {
    display: none;
}

#blogsy-hero .blogsy-divider-heading.divider-style-12,
#blogsy-hero .blogsy-divider-heading.divider-style-12 .divider-3 {
    width: 100%;
}

/* Blog Horizontal 2 */

.blog-horizontal-2 .post-wrapper .term-item {
    padding-left: 1.25rem;
}

.blog-horizontal-2 .post-wrapper .term-item::before {
    content: "#";
    background: transparent;
    width: auto;
    height: auto;
    border-radius: 0;
    margin-top: -0.3px;
    font-size: 120%;
    font-weight: 600;
    color: var(--term-color, var(--pt-accent-color));
}

.blog-horizontal-2 .post-wrapper .term-item:focus:before,
.blog-horizontal-2 .post-wrapper .term-item:hover:before {
	width: auto;
}
